#!/usr/bin/env bash

# Erstes Argument ist das Model, wenn keine env var gesetzt wurde
MODEL=$TESTSUITE_MODEL
if [[ -z "$MODEL" ]]; then
    MODEL=$1
fi
OUT_DIR="./runs/${MODEL}/"
# Stelle sicher, dass Output dir existiert
mkdir -p "$OUT_DIR"
# führe 20 Durchgänge für Model aus, speichere logs ab
printf "" > "$OUT_DIR/log" # neu für jeden Durchlauf
for ((i = 0; i < 20; i++)); do
    echo "Starte Run für $MODEL"
    # -l "$OUT_DIR/log"
    python -m testsuite -vv -o "$OUT_DIR/run_$i" "$MODEL"
    chmod 777 -R "$OUT_DIR" # damit man als Nutzer Dateien verwalten kann; nach jedem Schritt falls abgebrochen wird
done
